# Consumer_Payment_Request_Create

Endpoint: POST /api/v1/sponsor/merchants/payment-request/
Version: 1.0.0 (sponsor_consumer_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `request_user_id` (string, required)
    The ID in the partner system making the request.

  - `consumer_application_uuid` (string, required)
    The identifier in the partner system for this loan application.

  - `transaction_description` (integer, required)
    The ID of the transaction type being sent:
- **109** - Consumer Deposit/Initial Charge,
- **111** - Consumer Project Charge,
- **113** - Consumer Final Charge

  - `transaction_callback_url` (string, required)

  - `consumer_charge_amount` (string, required)
    Total amount being charged to the consumer

  - `net_to_merchant_amount` (string, required)
    Net amount out of the consumer charge that should be credited to merchant

  - `net_to_sponsor_amount` (string, required)
    Net amount out of the consumer charge that should be debited from the merchant deposit and credited to the sponsor. (i.e. processing fees, materials, etc.).

  - `net_artis_fee` (string, required)
    Net amount due to Momnt for the transaction - this should equal consumer charge amount * merchant fee % for the loan product. This should be pulled directly from the merchant's rate sheet every time - the request will fail if the amount is incorrect.

  - `sponsor_account_uuid` (string)
    Sponsor/Partner payment account UUID of which sponsor payment account should receive the funds in the net_to_sponsor field of the request

  - `external_org_id` (string)
    The external organization ID of the consumer.

## Response 201 fields (application/json):

  - `detail` (object, required)

  - `detail.payment_request_uuid` (string, required)

  - `detail.consumer_application_uuid` (string, required)

## Response 400 fields (application/json):

  - `detail` (string, required)

## Response 404 fields (application/json):

  - `detail` (string, required)

## Callback:

  - `Consumer Charge Callback` (unknown)
    Consumer Charge Callback (POST)
After the sponsor initiates a consumer payment in the step above, Momnt will send the payment request SMS to
the consumer. The consumer will respond to the SMS with a code sent in the SMS to approve the charge and
initiate money movement. Once this is complete, the sponsor and merchant will need to know the outcome of the
transaction. The result of the consumer charge and other relevant details will be sent to the
transaction_callback_url. When consumer charge is completed - success or failure - Momnt will POST information
to this fully qualified URL.
**Requirements:**
Before this callback will fire, a successful POST to send a consumer payment request must have taken place.
Basic Auth is supported by a username/password combination which is pre-shared between Momnt and the sponsor.

## Callback request fields (application/json):

  - `application_id` (string, required)
    10-digit Human Readable ID associated with consumer application/account

  - `artis_fee` (string, required)
    Momnt Fee for transaction

  - `consumer_charge_amount` (string, required)
    Amount charged to consumer

  - `date_time` (string, required)
    Date time stamp of transaction

  - `first_name` (string, required)
    First Name of Consumer associated with Transaction

  - `last_name` (string, required)
    Last Name of Consumer associated with Transaction

  - `net_to_merchant_amount` (string, required)
    Net amount sent to merchant account for transaction

  - `net_to_sponsor_amount` (string, required)
    Net amount sent to sponsor account for transaction

  - `payment_identifier` (integer, required)
    Payment identifier number of consumer transaction

  - `remaining_balance` (string, required)
    Amount of the consumer's credit limit that is remaining and available to spend after the transaction

  - `status` (string, required)
    Status of the transaction: Successful, Failed, or Reversed

  - `submitted_by` (string, required)
    UUID of the merchant user that sent the payment request

  - `transaction_description` (string, required)
    Description of the transaction

  - `transaction_group_type` (string, required)
    Short description of transaction (Charge or Refund)

  - `merchant_fee` (string, required)
    Commission percentage rate shown as decimal value. Also known as dealer fee.

  - `merchant_fee_transaction_amount` (string, required)
    Calculated commission based on consumer charge request. Also known as merchant fee.

  - `external_application_id` (string, required)
    Partner's ID for the application sent in initial POST

  - `payment_request_uuid` (string, required)
    Momnt's ID for the charge request sent

  - `is_settled` (string, required)
    Identifies if the consumer charge/refund transaction has been settled with the payment provider.

## Callback response 200:

  - `200` (unknown)
    No response body

